#include<bits/stdc++.h>
#define NULA 0

using namespace std;

void upisi(int *niz,int n)
{
    for(int i=0;i<n;++i){
        cin>>niz[i];
    }
}

int Sreca(int *N,int *M,int n)
{
    int sreca = 0;

    for(int i=0;i<n;++i){
            sreca+=(N[i]*(M[i]-NULA));
    }
    sreca = abs(sreca);

    return sreca;
}

void FICA()
{
    int n,m;

    cin>>n>>m;

    int N[n];
    int M[n];

    upisi(N,n);
    memset(M,0,n);

    int x,y;

    for(int i=0;i<m;++i){
        cin>>x>>y;
        M[x-1]++;
        M[y-1]++;
    }
    cout<<Sreca(N,M,n);
}

int main(void)
{
    FICA();
    return 0;
}